itst-Elfitst.net — 100 % β

Pro-bono-Beratung - Kostenlos, aber nicht umsonst.

Visio 2003 und MS SQL Server 2005 Express Edition

Gerade wollte ich ein Datenbankmodell aus einem MS SQL Server 2005 Express Edition in ein Visio-Sheet übernehmen. Dabei stolperte ich über den folgenden Fehler:

The currently selected Visio driver is not compatible with the data source.
Der aktuell ausgewählte Visio-Treiber ist nicht kompatibel mit der Datenquelle.

Fehlermeldung von Visio 2003 beim reverse engineeren einer Datenbank aus SQL Server Express Edition

So wies aussieht, gibt es vier Lösungsmöglichkeiten:

  1. Use the Visio ODBC Generic driver. This should allow you to reverse engineer the database but it will probably not bring in data that is specific to SQL Server. For example, the data types may not be correct.
  2. Use the Visio OLE DB Generic driver, which is listed as “Generic OLE DB Provider.” This bypasses ODBC entirely and uses OLE DB to access the database. As with the Generic ODBC driver, this should allow you to reverse engineer the database but some SQL Server-specific data will probably be missing or different.
  3. Obtain Visual Studio 2005 which comes with Visio for Enterprise Architects. This is a version of Visio, built on Visio 2003, which comes with an updated SQL Server driver that supports SQL Server 2005. It also has additional functionality that Visio Professional does not have, such as the ability to generate a database from the model.
  4. Wait for Visio 2007 Professional, or become part of the Beta program. The updated driver that comes with Visio for Enterprise Architects will be included with Visio 2007 Professional and supports SQL Server 2005.

Zu deutsch: Reverse Engineering per Visio 2003 aus einer SQL Server 2005 Express Edition-Datenbak klappt nicht, weil der Visio-Treiber nicht mit SQL Server 2005 sprechen kann. Lösungswege: entweder den generischen OLE- bzw. ODBC-Treiber nutzen (in der deutschen Visio-Version Allgemeiner OLE DB-Provider und ODBC-Treiber Universal genannt), Visio for Enterprise Architects aus Visual Studio 2005 benutzen, bei dem ein passender Treiber dabei ist, oder auf Visio 2007 warten.

[Aus den MSDN-Foren].

Deine Meinung?